import java.awt.*;

public class LPMFrame extends Frame {
  private Button m_leftButton = null;
  private Button m_rightButton = null;
  private Button m_upButton = null;
  private Button m_downButton = null;
  private Panel m_lpmArea = null;
  private PacMan m_pacMan = null;

  public LPMFrame () {
    //setLayout(new FlowLayout());
    m_leftButton = new Button("left");
    m_rightButton = new Button("right");
    m_upButton = new Button("up");
    m_downButton = new Button("down");
    add(m_leftButton, "West");
    add(m_rightButton, "East");
    add(m_upButton, "North");
    add(m_downButton, "South");
    m_pacMan = new PacMan();
    m_leftButton.addActionListener(m_pacMan);
    m_rightButton.addActionListener(m_pacMan);
    m_upButton.addActionListener(m_pacMan);
    m_downButton.addActionListener(m_pacMan);
    m_lpmArea = new LPMPanel(m_pacMan);
    add(m_lpmArea, "Center");
  }
}
